petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetNGS

Sets the user nonlinear Gauss-Seidel routine for use with composed nonlinear solvers.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetNGS(SNES snes,PetscErrorCode (*f)(SNES,Vec,Vec,void*),void *ctx)

### Input Parameters

| snes | - the SNES context Many br
| f | - function evaluation routine to apply Gauss-Seidel see SNESNGSFunction Many br
| ctx | - [optional] user-defined context for private data for the Many brsmoother evaluation routine (may be NULL) Many br

### Notes

The NGS routines are used by the composed nonlinear solver to generate Many bra problem appropriate update to the solution, particularly FAS. Many br

Many br

### Keywords

SNES, nonlinear, set, Gauss-Seidel

### See Also

SNESGetFunction(), SNESComputeNGS()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex19.c.html